
QGIS Application - Bug report #98

Qgis 0.7.4 georeferencer does not display image from some TIFF files
Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10157

Description

We compiled 0.7.3 from source on Ubuntu Breezy and were able to open one TIFF that was causing us trouble in the Ubuntu build from

your website at version 0.7.4.  When opening the TIFF in the georeferencer, the TIFF imags is not displayed.  However, our custom build

from source of 0.7.3 does display the image (no bug in this version).

It has been reported to us that 0.7.4 on Windows does display the TIFF image properly in georeferencer.

I have stored it, with comments, on our UMass Linux User Group wiki.

http://www.umasslug.org/index.php/Image:ImgHadley.tar.bz2

Direct link to the file is here:

http://www.umasslug.org/images/1/17/ImgHadley.tar.bz2

--

Kristian Hermansen

History

#1 - 2006-05-14 01:04 AM - Surge -

The georeferencer plugin in 0.7.4 won't display any imagery until it has a projection applied to it.

A chicken-egg issue.

I had plain tiff files and had to use gdal_translate to apply a projection before it would show in the georeferencer which is kind of counter intuitive in my

opinion.

And then when I did apply a UTM projection with bogus eastings and northings it really got confused and spat out some very odd looking point data.

#2 - 2007-01-01 01:40 PM - Magnus Homann

- Resolution set to worksforme

- Status changed from Open to Closed

This works for me IF I turn off on the fly projection in Project Properties in 0.8.0, but with it doesn't work (always). The Georefer doesn't work well when

projection is on. With projection on, there will be transformation errors.

#3 - 2007-01-02 01:38 PM - Magnus Homann

I have checked in a fix  that should make georeferencer always display valid TIFF:s, eventhough transformation is turned on.
